      module ice_transport_remap

      contains

      subroutine horizontal_remap ( mm)
         real (kind=8), intent(inout), dimension(:,:,0:,:) :: mm           
         ! local variables
         integer (kind=4) ::    iblk, nghost
         call make_masks ( nghost, mm(:,:,:,iblk) )
      end subroutine horizontal_remap

      subroutine make_masks ( nghost, mm)
      integer (kind=4), intent(in) :: nghost 
      real (kind=8), dimension (:,:,:), contiguous, intent(in) :: mm  
      end subroutine make_masks

      end module ice_transport_remap
